
Redmine - Defect #13632

Empty page attached when exporting PDF

2013-03-28 22:24 - Jan Stoetzer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version: 2.3.4   

Resolution: Fixed Affected version:  

Description

When exporting a PDF file, regardless whether from a ticket, ticket listing or wiki page, an empty page is added as last page of the

export.

Associated revisions

Revision 12189 - 2013-09-30 12:16 - Toshi MARUYAMA

pdf: fix empty page attached when exporting (#13632)

Contributed by Jun NAITOH.

Revision 12191 - 2013-09-30 14:22 - Toshi MARUYAMA

Merged r12189 from trunk to 2.3-stable (#13632)

pdf: fix empty page attached when exporting.

Contributed by Jun NAITOH.

History

#1 - 2013-03-28 22:25 - Jan Stoetzer

Sorry, forgot:

Environment:

  Redmine version                          2.1.2.stable

  Ruby version                             1.8.7 (amd64-freebsd9)

  Rails version                            3.2.8

  Environment                              production

  Database adapter                         MySQL

Redmine plugins:

  redmine_inline_attach_screenshot         0.4.2

  redmine_latex_mathjax                    0.1.0

  redmine_lightbox                         0.0.1

  redmine_people                           0.0.1

#2 - 2013-03-29 08:51 - Etienne Massip

- Status changed from New to Needs feedback

- Resolution set to Cant reproduce

Can't reproduce on issue list with 2.3.0, might be caused by a plugin?

#3 - 2013-03-29 11:40 - Jan Stoetzer

I try to deactivate the plugins and report again. This may take some days, i am on a trip for the weekend.

#4 - 2013-03-31 17:51 - Filou Centrinov

Using the programm PDF-XChange I can confirm this bug. Acrobat Reader or FoxitReader do not add an empty page.

jan jan Stoetzer: Which pdf viewer are you using?

#5 - 2013-03-31 23:15 - Filou Centrinov

The internal pdf viewer from firefox (version 19.0.2) breaks when trying to display a pdf that was exported from redmine.

2025-07-03 1/3

https://www.redmine.org/users/3652


#6 - 2013-04-01 13:15 - Jan Stoetzer

I used SumatraPDF on Win7.

This happens regardless whether the plugins are activated or not.

Edit:

I just tested it which the default PDF-Viewer of Ubuntu10 (I do not know its name), the effect does not appear there.

The internal PDF viewer of Firefox 19 (Linux and windows) does not display the PDF at all, the Open/Save dialogue is opened immediately.

#7 - 2013-04-01 14:40 - Filou Centrinov

Yes, I can confirm that SumatraPDF displays an additional empty page.

When firefox opens pdf in the open/save dialog it doesn't say anything about the internal PDF viewer. If you want to test the internal pdf viewer

you have to make sure that the pdf is not forced to be downloaded. Therefor I put the pdf into my localhost server an call it like

localhost/my_pdf_file.pdf

It seems that the exported pdf files are corrupted and some viewers have problems with displaying these pdf files.

#8 - 2013-04-01 19:58 - Philip Lapczynski

I can confirm that this happens to me as well.  Currently running 1.4.3.stable, but it is the same with all of the installations I've used. PDF-Xchange

Viewer always shows an empty page.

#9 - 2013-04-03 04:14 - Toshi MARUYAMA

- Category set to PDF export

#10 - 2013-04-14 13:37 - Filou Centrinov

Status: Confimed

Summery

Defect on: PDF-XChange, SumatraPDF

No defect on: Acrobat Reader, FoxitReader

The online pdf analyzer also confims that the exported pdf isn't well formed.

#11 - 2013-04-14 13:59 - Toshi MARUYAMA

- Status changed from Needs feedback to Confirmed

#12 - 2013-04-15 08:59 - Etienne Massip

- Target version set to Candidate for next minor release

#13 - 2013-09-11 15:38 - Jun NAITOH

- File tcpdf.rb_r12127.patch added

I wrote patch for trunk.

Defect on: PDF-XChange, SumatraPDF

 I checked that the problem had been corrected on PDF-XChange and SumatraPDF.

The online pdf analyzer also confims that the exported pdf isn't well formed.

 I checked that the problem had been corrected on pdf analyzer, too.

Successful completion

The file was successfully analyzed, and no corruptions have been detected.

 I finished tests on following environments.

CentOS 6 CRuby 1.8.7, 1.9.3

#14 - 2013-09-21 18:56 - Toshi MARUYAMA

- Target version changed from Candidate for next minor release to 2.3.4

- Resolution deleted (Cant reproduce)
http://blog.kowalczyk.info/software/sumatrapdf/free-pdf-reader-de.html
https://www.pdf-tools.com/osa/repair.aspx
https://www.pdf-tools.com/osa/repair.aspx


#15 - 2013-09-30 16:51 - Toshi MARUYAMA

- Status changed from Confirmed to Closed

- Resolution set to Fixed

Committed in trunk r12189 and 2.3-stable r12191, thanks.

#16 - 2013-10-18 12:56 - Jan Stoetzer

Good work, thank you for fixing this.

Files

lxlib_tickets.pdf 312 KB 2013-03-28 Jan Stoetzer

lxlib-641.pdf 309 KB 2013-03-28 Jan Stoetzer

tcpdf.rb_r12127.patch 680 Bytes 2013-09-11 Jun NAITOH
https://www.redmine.org/projects/redmine/repository/svn/revisions/12189
https://www.redmine.org/projects/redmine/repository/svn/revisions/12191
http://www.tcpdf.org

